<form action="/pops/edit" method="post">

  <input
    type="string"
    name="id"
    value="<%= pop.id %>"
    hidden/>

  <% if (pop.state != 'Descartável') {%>
  <div class="row justify-content-center" role="tab" id="form-header">
    <div class="col-md-11 bg-dark text-light text-center">
      <div class="mlp-spacing-md"></div>
      <a class="text-light" data-toggle="collapse" href="#form-content" aria-expanded="true" aria-controls="form-content">
        Campos de Informação <i class="fa"></i>
      </a>
      <div class="mlp-spacing-md"></div>
    </div>
  </div>

  <div class="row justify-content-center " role="tabpanel" aria-labelledby="form-header" data-parent="#accordion">
    <div id="form-content" class="col-md-11 border border-dark collapse show">

  <div class="mlp-spacing-md"></div>

  <div class="form-group">
    <label for="state">
      Estado
    </label>
    <div class="input-group">
      <div class="input-group-addon input-group-addon-mlp input-mlp">
        <i class="mdi mdi-forward"></i>
      </div>
      <select class="form-control input-mlp mlp-select" name="state">
        <% states.forEach(function(state) { %>
          <% if (pop.state == state) { %>
            <option selected><%= state %></option>
          <% } else { %>
            <option><%= state %></option>
          <% } %>
        <% }) %>
      </select>
    </div>
  </div>

  <div class="form-group">
    <label for="category">
      Categoria
    </label>
    <div class="input-group">
      <div class="input-group-addon input-group-addon-mlp input-mlp">
        <i class="mdi mdi-group"></i>
      </div>
      <select class="form-control input-mlp mlp-select" name="category">
        <% categories.forEach(function(category) { %>
          <% if (pop.category && pop.category != undefined && pop.category != '' && pop.category == category) { %>
            <option selected><%= category %></option>
          <% } else { %>
            <option><%= category %></option>
          <% } %>
        <% }) %>
      </select>
    </div>
  </div>

  <% if (header) { %>
      <% for (var key in header.fields) { %>
        <div class="form-group">
          <label for="<%= key %>">
            <%= header.fields[key] %>
          </label>
          <div class="input-group">
            <div class="input-group-addon input-group-addon-mlp input-mlp">
              <i class="mdi mdi-information-variant"></i>
            </div>
            <% var field = 'Valor para ' + header.fields[key]; %>
            <% if (pop.fields && pop.fields[key] != undefined) { %>
              <% field = pop.fields[key]; %>
            <% } %>
            <textarea name="<%= key %>" rows="1" class="form-control input-mlp" required><%= field %></textarea>
          </div>
        </div>
      <% } %>
  <% } %>

  <div class="mlp-spacing-md"></div>
</div>
</div>

<div class="mlp-spacing-md"></div>


<div class="row justify-content-center" role="tab" id="procedure-header">
  <div class="col-md-11 bg-dark text-light text-center">
    <div class="mlp-spacing-md"></div>
    <a class="text-light" data-toggle="collapse" href="#procedure-content" aria-expanded="true" aria-controls="procedure-content">
      Procedimento Operacional <i class="fa"></i>
    </a>
    <div class="mlp-spacing-md"></div>
  </div>
</div>

<div class="row justify-content-center " role="tabpanel" aria-labelledby="procedure-header" data-parent="#accordion">
  <div id="procedure-content" class="col-md-11 border border-dark collapse show">

<div class="mlp-spacing-md"></div>
<div class="mlp-spacing-md"></div>

  <textarea
    name="procedure"
    id="procedure-editor">
    <% if (pop.procedure == '')  {%>
      Escreva aqui o procedimento operacional conforme as regras de escrita do MCTIC.
    <% } else { %>
      <%- pop.procedure %>
    <% } %>
  </textarea>

  <div class="mlp-spacing-md"></div>
</div>
</div>
<% } else { %>

  <div class="form-group">
    <div class="input-group">
      <div class="input-group-addon input-group-addon-mlp input-mlp">
        <i class="mdi mdi-forward"></i>
      </div>
      <select class="form-control input-mlp mlp-select" name="state">
        <% states.forEach(function(state) { %>
          <% if (pop.state == state) { %>
            <option selected><%= state %></option>
          <% } else { %>
            <option><%= state %></option>
          <% } %>
        <% }) %>
      </select>
    </div>
  </div>

  <div class="form-group">
    <label for="justification">
      Justificativa para Descarte
    </label>
    <div class="input-group">
      <div class="input-group-addon input-group-addon-mlp input-mlp">
        <i class="mdi mdi-close"></i>
      </div>
      <input type="text" name="justification" class="form-control input-mlp" placeholder="Descreva o motivo para descarte" value="<% if(pop.justification && pop.justification != undefined && pop.justification != '') { %><%= pop.justification %><% } %>"/>
    </div>
  </div>
<% } %>

  <div class="mlp-spacing-md"></div>

  <button type="submit" class="btn btn-success btn-block btn-mlp">
    <i class="fa fa-edit"></i> Atualizar Procedimento Operacional
  </button>
</form>
